# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SecurityClassificationLevel Class Reference

`#include <StepBasic_SecurityClassificationLevel.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_SecurityClassificationLevel ()
| Returns a SecurityClassificationLevel .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SecurityClassificationLevel::StepBasic_SecurityClassificationLevel | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_SecurityClassificationLevel::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_SecurityClassificationLevel::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_SecurityClassificationLevel::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_SecurityClassificationLevel::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_SecurityClassificationLevel::name `[private]`

The documentation for this class was generated from the following file:

- StepBasic_SecurityClassificationLevel.hxx